| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | List of all members
cv::ximgproc::DisparityFilter Class Referenceabstract
Extended Image Processing » Filters

Main interface for all disparity map filters. More...

`#include <opencv2/ximgproc/disparity_filter.hpp>`

Inheritance diagram for cv::ximgproc::DisparityFilter:

## Public Member Functions
virtual void | filter (InputArray disparity_map_left, InputArray left_view, OutputArray filtered_disparity_map, InputArray disparity_map_right=Mat(), Rect ROI=Rect(), InputArray right_view=Mat())=0
| Apply filtering to the disparity map. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Main interface for all disparity map filters.

## Member Function Documentation

## ◆ filter()

virtual void cv::ximgproc::DisparityFilter::filter | ( | InputArray | disparity_map_left,
|  | InputArray | left_view,
|  | OutputArray | filtered_disparity_map,
|  | InputArray | disparity_map_right = `Mat()`,
|  | Rect | ROI = `Rect()`,
|  | InputArray | right_view = `Mat()`
| ) |  |
| pure virtual

Python:
| filtered_disparity_map | = | cv.ximgproc_DisparityFilter.filter( | disparity_map_left, left_view[, filtered_disparity_map[, disparity_map_right[, ROI[, right_view]]]] | )

Apply filtering to the disparity map.

Parameters

  disparity_map_left | disparity map of the left view, 1 channel, CV_16S type. Implicitly assumes that disparity values are scaled by 16 (one-pixel disparity corresponds to the value of 16 in the disparity map). Disparity map can have any resolution, it will be automatically resized to fit left_view resolution.
  left_view | left view of the original stereo-pair to guide the filtering process, 8-bit single-channel or three-channel image.
  filtered_disparity_map | output disparity map.
  disparity_map_right | optional argument, some implementations might also use the disparity map of the right view to compute confidence maps, for instance.
  ROI | region of the disparity map to filter. Optional, usually it should be set automatically.
  right_view | optional argument, some implementations might also use the right view of the original stereo-pair.

The documentation for this class was generated from the following file:

- opencv2/ximgproc/disparity_filter.hpp